Page MenuHomePhabricator

Create an 'OfficeIT' namespace on wikitech
Closed, ResolvedPublic

Description

The OfficeIT team is looking for a public facing place to post technical information which may be of use to chapters or other small/medium nonprofits. Example content: Office WiFi in Dense Environments, Small Scale Virtualization (10-50 VMs) using XenServer, Laptop Imaging Tools, AV Tips

After some discussion, it seemed WikiTech might be an appropriate place for this sort of content.
"The production part of this wiki, also known as Wikitech, is for internal technical documentation for the Wikimedia Foundation."
As opposed to meta (more wiki-community-focused) or mediawiki (more software stack focused).

This task is meant to be a placeholder request to connect with other wikitech namespace organization discussions.

Details

Related Gerrit Patches:
operations/mediawiki-config : masteradd OfficeIT namespace to wikitech

Event Timeline

JKrauska assigned this task to bd808.
JKrauska raised the priority of this task from to Needs Triage.
JKrauska updated the task description. (Show Details)
JKrauska added a subscriber: JKrauska.
Restricted Application added a project: User-bd808. · View Herald TranscriptJan 12 2016, 6:16 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
JKrauska set Security to None.
JKrauska edited subscribers, added: ArielGlenn, RobH; removed: Krenair.
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJan 12 2016, 6:17 PM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJan 12 2016, 6:17 PM

So now the bikeshedding starts: if these pages go in a separate namespace, what do we call it? If there are only likely to be a few pages, having them in their own category with a recognizable prefix to the page title (e.g. OIT:) would be just fine IMHO.

Dzahn added a subscriber: Dzahn.Jan 12 2016, 7:11 PM

I agree that subpages and categories might be sufficient. How about https://wikitech.wikimedia.org/wiki/OIT or OfficeIT as an overview page and then https://wikitech.wikimedia.org/wiki/OIT/foo , /bar/ etc. along with https://wikitech.wikimedia.org/wiki/Category:OfficeIT which would automatically list all related pages.

One nice feature of using actual namespaces is that it allows advanced search to explicitly include or exclude the content of a given namespace.

yes, although you can probably use intitle:OIT to mostly get the right results if it were set up using subpages

Luke081515 updated the task description. (Show Details)Jan 12 2016, 8:19 PM
Luke081515 added a subscriber: Luke081515.
Dzahn added a comment.EditedJan 12 2016, 10:10 PM

@bd808 oh, cool, so definitely, before we create multiple wikis, please let's do namespaces :) i take back any concerns, heh

RobH awarded a token.Jan 12 2016, 10:31 PM

Change 263768 had a related patch set uploaded (by ArielGlenn):
add OfficeIT namespace to wikitech

https://gerrit.wikimedia.org/r/263768

Change 263768 merged by jenkins-bot:
add OfficeIT namespace to wikitech

https://gerrit.wikimedia.org/r/263768

demon closed this task as Resolved.Jan 13 2016, 6:27 PM
demon added a subscriber: demon.
bd808 moved this task from To Do to Done on the User-bd808 board.Feb 1 2016, 3:28 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Feb 21 2016, 8:53 PM